# Interface AtomDataServer

All Known Implementing Classes:
  `NMR_Viewer, Viewer`

public interface AtomDataServer

## Method Summary

Modifier and Type
Method
Description
`float`
`evalFunctionFloat(Object func, Object params, float[] values)`
`void`
`fillAtomData(AtomData atomData, int mode)`
`BufferedInputStream`
`getBufferedInputStream(String fullPathName)`
`AtomIndexIterator`
`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
`void`
`log(String msg)`
`Map<String,Object>`
`readCifData(String fileName, Object rdrOrStringData, String type)`
`void`
`setIteratorForAtom(AtomIndexIterator iterator, int atomIndex, float distance)`
`void`
`setIteratorForPoint(AtomIndexIterator iter, int modelIndex, T3 pt, float maxDistance)`

## Method Details

### getSelectedAtomIterator

AtomIndexIterator getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)

### setIteratorForAtom

void setIteratorForAtom(AtomIndexIterator iterator, int atomIndex, float distance)

### setIteratorForPoint

void setIteratorForPoint(AtomIndexIterator iter, int modelIndex, T3 pt, float maxDistance)

### fillAtomData

void fillAtomData(AtomData atomData, int mode)

### getBufferedInputStream

BufferedInputStream getBufferedInputStream(String fullPathName)

### log

void log(String msg)

### evalFunctionFloat

float evalFunctionFloat(Object func, Object params, float[] values)

### readCifData

Map<String,Object> readCifData(String fileName, Object rdrOrStringData, String type)